cURL
curl --request POST "https://rxresu.me/api/openapi/career/answers" --header "x-api-key: <api-key>" --header "Content-Type: application/json" --data '{
"applicationId": "<string>",
"question": "<string>",
"answer": "<string>",
"source": "manual",
"scope": "reusable",
"factIds": [
"<string>"
],
"storyIds": [
"<string>"
],
"expectedEvidence": [
{
"kind": "fact",
"id": "<string>",
"revision": "<string>"
}
],
"reviewed": true,
"noEmployerWording": true
}'import requests
url = "https://rxresu.me/api/openapi/career/answers"
payload = {
"applicationId": "<string>",
"question": "<string>",
"answer": "<string>",
"factIds": ["<string>"],
"storyIds": ["<string>"],
"expectedEvidence": [
{
"id": "<string>",
"revision": "<string>"
}
],
"reviewed": True,
"noEmployerWording": True,
"id": "<string>",
"expectedRevision": 0,
"aiOperationIds": ["<string>"]
}
headers = {
"x-api-key": "<api-key>",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'POST',
headers: {'x-api-key': '<api-key>', 'Content-Type': 'application/json'},
body: JSON.stringify({
applicationId: '<string>',
question: '<string>',
answer: '<string>',
factIds: ['<string>'],
storyIds: ['<string>'],
expectedEvidence: [{id: '<string>', revision: '<string>'}],
reviewed: true,
noEmployerWording: true,
id: '<string>',
expectedRevision: 0,
aiOperationIds: ['<string>']
})
};
fetch('https://rxresu.me/api/openapi/career/answers', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://rxresu.me/api/openapi/career/answers",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "POST",
CURLOPT_POSTFIELDS => json_encode([
'applicationId' => '<string>',
'question' => '<string>',
'answer' => '<string>',
'factIds' => [
'<string>'
],
'storyIds' => [
'<string>'
],
'expectedEvidence' => [
[
'id' => '<string>',
'revision' => '<string>'
]
],
'reviewed' => true,
'noEmployerWording' => true,
'id' => '<string>',
'expectedRevision' => 0,
'aiOperationIds' => [
'<string>'
]
]),
CURLOPT_HTTPHEADER => [
"Content-Type: application/json",
"x-api-key: <api-key>"
],
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}package main
import (
"fmt"
"strings"
"net/http"
"io"
)
func main() {
url := "https://rxresu.me/api/openapi/career/answers"
payload := strings.NewReader("{\n \"applicationId\": \"<string>\",\n \"question\": \"<string>\",\n \"answer\": \"<string>\",\n \"factIds\": [\n \"<string>\"\n ],\n \"storyIds\": [\n \"<string>\"\n ],\n \"expectedEvidence\": [\n {\n \"id\": \"<string>\",\n \"revision\": \"<string>\"\n }\n ],\n \"reviewed\": true,\n \"noEmployerWording\": true,\n \"id\": \"<string>\",\n \"expectedRevision\": 0,\n \"aiOperationIds\": [\n \"<string>\"\n ]\n}")
req, _ := http.NewRequest("POST", url, payload)
req.Header.Add("x-api-key", "<api-key>")
req.Header.Add("Content-Type", "application/json")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}HttpResponse<String> response = Unirest.post("https://rxresu.me/api/openapi/career/answers")
.header("x-api-key", "<api-key>")
.header("Content-Type", "application/json")
.body("{\n \"applicationId\": \"<string>\",\n \"question\": \"<string>\",\n \"answer\": \"<string>\",\n \"factIds\": [\n \"<string>\"\n ],\n \"storyIds\": [\n \"<string>\"\n ],\n \"expectedEvidence\": [\n {\n \"id\": \"<string>\",\n \"revision\": \"<string>\"\n }\n ],\n \"reviewed\": true,\n \"noEmployerWording\": true,\n \"id\": \"<string>\",\n \"expectedRevision\": 0,\n \"aiOperationIds\": [\n \"<string>\"\n ]\n}")
.asString();require 'uri'
require 'net/http'
url = URI("https://rxresu.me/api/openapi/career/answers")
http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true
request = Net::HTTP::Post.new(url)
request["x-api-key"] = '<api-key>'
request["Content-Type"] = 'application/json'
request.body = "{\n \"applicationId\": \"<string>\",\n \"question\": \"<string>\",\n \"answer\": \"<string>\",\n \"factIds\": [\n \"<string>\"\n ],\n \"storyIds\": [\n \"<string>\"\n ],\n \"expectedEvidence\": [\n {\n \"id\": \"<string>\",\n \"revision\": \"<string>\"\n }\n ],\n \"reviewed\": true,\n \"noEmployerWording\": true,\n \"id\": \"<string>\",\n \"expectedRevision\": 0,\n \"aiOperationIds\": [\n \"<string>\"\n ]\n}"
response = http.request(request)
puts response.read_body{
"id": "<string>",
"userId": "<string>",
"createdAt": "2023-11-07T05:31:56Z",
"updatedAt": "2023-11-07T05:31:56Z",
"question": "<string>",
"answer": "<string>",
"source": "manual",
"scope": "reusable",
"employer": "<string>",
"applicationId": "<string>",
"sourceApplicationId": "<string>",
"factIds": [
"<string>"
],
"storyIds": [
"<string>"
],
"evidence": [
{
"kind": "fact",
"id": "<string>",
"revision": "<string>"
}
],
"reviewedAt": "2023-11-07T05:31:56Z",
"revision": -1,
"duplicateKey": "<string>",
"aiOperationIds": [
"<string>"
]
}{
"defined": true,
"code": "<string>",
"status": 123,
"message": "<string>",
"data": "<unknown>"
}Career
Explicitly review and save reusable wording
POST
/
career
/
answers
cURL
curl --request POST "https://rxresu.me/api/openapi/career/answers" --header "x-api-key: <api-key>" --header "Content-Type: application/json" --data '{
"applicationId": "<string>",
"question": "<string>",
"answer": "<string>",
"source": "manual",
"scope": "reusable",
"factIds": [
"<string>"
],
"storyIds": [
"<string>"
],
"expectedEvidence": [
{
"kind": "fact",
"id": "<string>",
"revision": "<string>"
}
],
"reviewed": true,
"noEmployerWording": true
}'import requests
url = "https://rxresu.me/api/openapi/career/answers"
payload = {
"applicationId": "<string>",
"question": "<string>",
"answer": "<string>",
"factIds": ["<string>"],
"storyIds": ["<string>"],
"expectedEvidence": [
{
"id": "<string>",
"revision": "<string>"
}
],
"reviewed": True,
"noEmployerWording": True,
"id": "<string>",
"expectedRevision": 0,
"aiOperationIds": ["<string>"]
}
headers = {
"x-api-key": "<api-key>",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'POST',
headers: {'x-api-key': '<api-key>', 'Content-Type': 'application/json'},
body: JSON.stringify({
applicationId: '<string>',
question: '<string>',
answer: '<string>',
factIds: ['<string>'],
storyIds: ['<string>'],
expectedEvidence: [{id: '<string>', revision: '<string>'}],
reviewed: true,
noEmployerWording: true,
id: '<string>',
expectedRevision: 0,
aiOperationIds: ['<string>']
})
};
fetch('https://rxresu.me/api/openapi/career/answers', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://rxresu.me/api/openapi/career/answers",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "POST",
CURLOPT_POSTFIELDS => json_encode([
'applicationId' => '<string>',
'question' => '<string>',
'answer' => '<string>',
'factIds' => [
'<string>'
],
'storyIds' => [
'<string>'
],
'expectedEvidence' => [
[
'id' => '<string>',
'revision' => '<string>'
]
],
'reviewed' => true,
'noEmployerWording' => true,
'id' => '<string>',
'expectedRevision' => 0,
'aiOperationIds' => [
'<string>'
]
]),
CURLOPT_HTTPHEADER => [
"Content-Type: application/json",
"x-api-key: <api-key>"
],
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}package main
import (
"fmt"
"strings"
"net/http"
"io"
)
func main() {
url := "https://rxresu.me/api/openapi/career/answers"
payload := strings.NewReader("{\n \"applicationId\": \"<string>\",\n \"question\": \"<string>\",\n \"answer\": \"<string>\",\n \"factIds\": [\n \"<string>\"\n ],\n \"storyIds\": [\n \"<string>\"\n ],\n \"expectedEvidence\": [\n {\n \"id\": \"<string>\",\n \"revision\": \"<string>\"\n }\n ],\n \"reviewed\": true,\n \"noEmployerWording\": true,\n \"id\": \"<string>\",\n \"expectedRevision\": 0,\n \"aiOperationIds\": [\n \"<string>\"\n ]\n}")
req, _ := http.NewRequest("POST", url, payload)
req.Header.Add("x-api-key", "<api-key>")
req.Header.Add("Content-Type", "application/json")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}HttpResponse<String> response = Unirest.post("https://rxresu.me/api/openapi/career/answers")
.header("x-api-key", "<api-key>")
.header("Content-Type", "application/json")
.body("{\n \"applicationId\": \"<string>\",\n \"question\": \"<string>\",\n \"answer\": \"<string>\",\n \"factIds\": [\n \"<string>\"\n ],\n \"storyIds\": [\n \"<string>\"\n ],\n \"expectedEvidence\": [\n {\n \"id\": \"<string>\",\n \"revision\": \"<string>\"\n }\n ],\n \"reviewed\": true,\n \"noEmployerWording\": true,\n \"id\": \"<string>\",\n \"expectedRevision\": 0,\n \"aiOperationIds\": [\n \"<string>\"\n ]\n}")
.asString();require 'uri'
require 'net/http'
url = URI("https://rxresu.me/api/openapi/career/answers")
http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true
request = Net::HTTP::Post.new(url)
request["x-api-key"] = '<api-key>'
request["Content-Type"] = 'application/json'
request.body = "{\n \"applicationId\": \"<string>\",\n \"question\": \"<string>\",\n \"answer\": \"<string>\",\n \"factIds\": [\n \"<string>\"\n ],\n \"storyIds\": [\n \"<string>\"\n ],\n \"expectedEvidence\": [\n {\n \"id\": \"<string>\",\n \"revision\": \"<string>\"\n }\n ],\n \"reviewed\": true,\n \"noEmployerWording\": true,\n \"id\": \"<string>\",\n \"expectedRevision\": 0,\n \"aiOperationIds\": [\n \"<string>\"\n ]\n}"
response = http.request(request)
puts response.read_body{
"id": "<string>",
"userId": "<string>",
"createdAt": "2023-11-07T05:31:56Z",
"updatedAt": "2023-11-07T05:31:56Z",
"question": "<string>",
"answer": "<string>",
"source": "manual",
"scope": "reusable",
"employer": "<string>",
"applicationId": "<string>",
"sourceApplicationId": "<string>",
"factIds": [
"<string>"
],
"storyIds": [
"<string>"
],
"evidence": [
{
"kind": "fact",
"id": "<string>",
"revision": "<string>"
}
],
"reviewedAt": "2023-11-07T05:31:56Z",
"revision": -1,
"duplicateKey": "<string>",
"aiOperationIds": [
"<string>"
]
}{
"defined": true,
"code": "<string>",
"status": 123,
"message": "<string>",
"data": "<unknown>"
}Authorizations
apiKeybearerAuthcookieAuth
Body
application/json
Response
OK